state.16 {
	control.1 {
		comment.access 'read write'
		comment.type ENUMERATED
		comment.item.0 Auto
		comment.item.1 Playback
		comment.item.2 Capture
		iface PCM
		name '16-bit DMA Allocation'
		value Auto
	}
	control.2 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 31'
		iface MIXER
		name 'Master Playback Volume'
		value.0 24
		value.1 24
	}
	control.3 {
		comment.access 'read write'
		comment.type BOOLEAN
		iface MIXER
		name '3D Enhancement Switch'
		value true
	}
	control.4 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 15'
		iface MIXER
		name 'Tone Control - Bass'
		value.0 12
		value.1 12
	}
	control.5 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 15'
		iface MIXER
		name 'Tone Control - Treble'
		value.0 12
		value.1 12
	}
	control.6 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 31'
		iface MIXER
		name 'PCM Playback Volume'
		value.0 24
		value.1 24
	}
	control.7 {
		comment.access 'read write'
		comment.type BOOLEAN
		iface MIXER
		name 'Synth Capture Route'
		value.0 false
		value.1 false
		value.2 false
		value.3 false
	}
	control.8 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 31'
		iface MIXER
		name 'Synth Playback Volume'
		value.0 0
		value.1 0
	}
	control.9 {
		comment.access 'read write'
		comment.type BOOLEAN
		iface MIXER
		name 'CD Capture Route'
		value.0 false
		value.1 false
		value.2 false
		value.3 false
	}
	control.10 {
		comment.access 'read write'
		comment.type BOOLEAN
		iface MIXER
		name 'CD Playback Switch'
		value.0 true
		value.1 true
	}
	control.11 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 31'
		iface MIXER
		name 'CD Playback Volume'
		value.0 0
		value.1 0
	}
	control.12 {
		comment.access 'read write'
		comment.type BOOLEAN
		iface MIXER
		name 'Line Capture Route'
		value.0 true
		value.1 false
		value.2 false
		value.3 true
	}
	control.13 {
		comment.access 'read write'
		comment.type BOOLEAN
		iface MIXER
		name 'Line Playback Switch'
		value.0 false
		value.1 false
	}
	control.14 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 31'
		iface MIXER
		name 'Line Playback Volume'
		value.0 31
		value.1 31
	}
	control.15 {
		comment.access 'read write'
		comment.type BOOLEAN
		iface MIXER
		name 'Mic Capture Switch'
		value.0 false
		value.1 false
	}
	control.16 {
		comment.access 'read write'
		comment.type BOOLEAN
		iface MIXER
		name 'Mic Playback Switch'
		value true
	}
	control.17 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 31'
		iface MIXER
		name 'Mic Playback Volume'
		value 0
	}
	control.18 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 3'
		iface MIXER
		name 'PC Speaker Volume'
		value 0
	}
	control.19 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 3'
		iface MIXER
		name 'Capture Volume'
		value.0 3
		value.1 3
	}
	control.20 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 3'
		iface MIXER
		name 'Playback Volume'
		value.0 3
		value.1 3
	}
	control.21 {
		comment.access 'read write'
		comment.type BOOLEAN
		iface MIXER
		name 'Auto Mic Gain'
		value false
	}
	control.22 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 11'
		iface MIXER
		name 'Synth Tone Control - Bass'
		value 0
	}
	control.23 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 11'
		iface MIXER
		name 'Synth Tone Control - Treble'
		value 0
	}
	control.24 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 31'
		iface MIXER
		name 'Chorus Mode'
		value 0
	}
	control.25 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 31'
		iface MIXER
		name 'Reverb Mode'
		value 0
	}
	control.26 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 255'
		iface MIXER
		name 'FM Chorus Depth'
		value 0
	}
	control.27 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 255'
		iface MIXER
		name 'FM Reverb Depth'
		value 0
	}
}
state.card0 {
	control.1 {
		comment.access 'read write'
		comment.type ENUMERATED
		comment.item.0 Auto
		comment.item.1 Playback
		comment.item.2 Capture
		iface PCM
		name '16-bit DMA Allocation'
		value Auto
	}
	control.2 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 31'
		iface MIXER
		name 'Master Playback Volume'
		value.0 24
		value.1 24
	}
	control.3 {
		comment.access 'read write'
		comment.type BOOLEAN
		iface MIXER
		name '3D Enhancement Switch'
		value true
	}
	control.4 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 15'
		iface MIXER
		name 'Tone Control - Bass'
		value.0 12
		value.1 12
	}
	control.5 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 15'
		iface MIXER
		name 'Tone Control - Treble'
		value.0 12
		value.1 12
	}
	control.6 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 31'
		iface MIXER
		name 'PCM Playback Volume'
		value.0 24
		value.1 24
	}
	control.7 {
		comment.access 'read write'
		comment.type BOOLEAN
		iface MIXER
		name 'Synth Capture Route'
		value.0 false
		value.1 false
		value.2 false
		value.3 false
	}
	control.8 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 31'
		iface MIXER
		name 'Synth Playback Volume'
		value.0 0
		value.1 0
	}
	control.9 {
		comment.access 'read write'
		comment.type BOOLEAN
		iface MIXER
		name 'CD Capture Route'
		value.0 false
		value.1 false
		value.2 false
		value.3 false
	}
	control.10 {
		comment.access 'read write'
		comment.type BOOLEAN
		iface MIXER
		name 'CD Playback Switch'
		value.0 true
		value.1 true
	}
	control.11 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 31'
		iface MIXER
		name 'CD Playback Volume'
		value.0 0
		value.1 0
	}
	control.12 {
		comment.access 'read write'
		comment.type BOOLEAN
		iface MIXER
		name 'Line Capture Route'
		value.0 true
		value.1 false
		value.2 false
		value.3 true
	}
	control.13 {
		comment.access 'read write'
		comment.type BOOLEAN
		iface MIXER
		name 'Line Playback Switch'
		value.0 false
		value.1 false
	}
	control.14 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 31'
		iface MIXER
		name 'Line Playback Volume'
		value.0 31
		value.1 31
	}
	control.15 {
		comment.access 'read write'
		comment.type BOOLEAN
		iface MIXER
		name 'Mic Capture Switch'
		value.0 false
		value.1 false
	}
	control.16 {
		comment.access 'read write'
		comment.type BOOLEAN
		iface MIXER
		name 'Mic Playback Switch'
		value true
	}
	control.17 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 31'
		iface MIXER
		name 'Mic Playback Volume'
		value 0
	}
	control.18 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 3'
		iface MIXER
		name 'PC Speaker Volume'
		value 0
	}
	control.19 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 3'
		iface MIXER
		name 'Capture Volume'
		value.0 3
		value.1 3
	}
	control.20 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 3'
		iface MIXER
		name 'Playback Volume'
		value.0 3
		value.1 3
	}
	control.21 {
		comment.access 'read write'
		comment.type BOOLEAN
		iface MIXER
		name 'Auto Mic Gain'
		value false
	}
	control.22 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 11'
		iface MIXER
		name 'Synth Tone Control - Bass'
		value 0
	}
	control.23 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 11'
		iface MIXER
		name 'Synth Tone Control - Treble'
		value 0
	}
	control.24 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 31'
		iface MIXER
		name 'Chorus Mode'
		value 0
	}
	control.25 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 31'
		iface MIXER
		name 'Reverb Mode'
		value 0
	}
	control.26 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 255'
		iface MIXER
		name 'FM Chorus Depth'
		value 0
	}
	control.27 {
		comment.access 'read write'
		comment.type INTEGER
		comment.range '0 - 255'
		iface MIXER
		name 'FM Reverb Depth'
		value 0
	}
}
